package com.backendsys.modules.upload.service;

import com.qcloud.cos.model.PartListing;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

public interface SysFileMultipartService {

    // 初始化分块上传
    Map<String, Object> initiateMultipartUpload(MultipartFile multipartFile, Long category_id, Integer target);

    // 上传分块
    Map<String, Object> uploadMultipart(MultipartFile multipartFile, String upload_id);

    // 查询分块上传情况
    PartListing listParts(String upload_id, String object_key);

    // 完成分块上传
    Map<String, Object> completeMultipartUpload(String upload_id);
}
